async function onOnly(astroId, options, getHydrateCallback) {
  const roots = document.querySelectorAll(`astro-root[uid="${astroId}"]`);
  if (roots.length === 0) {
    throw new Error(`Unable to find the root for the component ${options.name}`);
  }
  let innerHTML = null;
  let fragment = roots[0].querySelector(`astro-fragment`);
  if (fragment == null && roots[0].hasAttribute("tmpl")) {
    let template = roots[0].querySelector(`template[data-astro-template]`);
    if (template) {
      innerHTML = template.innerHTML;
      template.remove();
    }
  } else if (fragment) {
    innerHTML = fragment.innerHTML;
  }
  const hydrate = await getHydrateCallback();
  for (const root of roots) {
    hydrate(root, innerHTML);
  }
}
export {
  onOnly as default
};
